import { Component, h, Host, Prop } from '@stencil/core';
export class Tag {
  constructor() {
    /**
     * The theme type of the tag. Given by bulma our css framework.
     */
    this.type = '';
  }
  render() {
    return (h(Host, null,
      h("span", { class: `tag ${this.type ? this.type : 'default'}` },
        h("slot", null))));
  }
  static get is() { return "bal-tag"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["bal-tag.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["bal-tag.css"]
  }; }
  static get properties() { return {
    "type": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'is-primary' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger' | ''",
        "resolved": "\"\" | \"is-danger\" | \"is-info\" | \"is-primary\" | \"is-success\" | \"is-warning\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The theme type of the tag. Given by bulma our css framework."
      },
      "attribute": "type",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
}
